Add wind-chill to HVAC cycle time-chart
Description

History

#1 - 11/26/2014 07:31 AM - Luke Murphey

- Status changed from New to In Progress

- % Done changed from 0 to 70

#2 - 11/26/2014 07:32 AM - Luke Murphey

This search seems to work:

sourcetype=insteon_plm category=5 `get_command_info` | search command="*Heat*" | transaction endswith="cmd1=13" startswith="cmd1=11"

| eval heating_minutes=duration/60 | timechart sum(heating_minutes) as heating_minutes | append [search sourcetype=weather_info | fields -

_raw | fields wind_chill ] | timechart sum(heating_minutes) as heating_minutes avg(wind_chill) as wind_chill

#3 - 11/26/2014 07:33 AM - Luke Murphey

Might want to start using the text to find places easier. Like this:

select * from weather.forecast where woeid in (select woeid from geo.places(1) where text="greenland")

#4 - 11/26/2014 05:50 PM - Luke Murphey

Other APIs: http://michaelwelburn.com/2011/11/02/comparing-weather-apis/

#5 - 11/26/2014 05:51 PM - Luke Murphey

Could look up woeid using this URL:

http://query.yahooapis.com/v1/public/yql?q=select%20*%20from%20geo.places%20where%20text%3D%22Wadsworth%22&format=json

See http://stackoverflow.com/questions/12434591/get-woeid-from-city-name/12434754#12434754
#6 - 11/26/2014 05:52 PM - Luke Murphey

Here is a dump of the GeoPlanet data:

https://sunpig.com/martin/2011/05/22/how-to-load-yahoo-geoplanet-data-into-a-postgresql-database/

#7 - 11/26/2014 05:52 PM - Luke Murphey

Some nice woeid lookup sites:

1. http://zourbuth.com/tools/woeid/

2. http://woeid.factormystic.net/

#8 - 11/26/2014 11:54 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
